%bcond_with check

%global compat_soversion 3

Summary: IMA/EVM control utilities
Name:    ima-evm-utils
Version: 1.5
Release: 1%{?dist}
License: GPLv2
Url:     http://linux-ima.sourceforge.net/
Source0: https://github.com/mimizohar/ima-evm-utils/releases/download/v%{version}/%{name}-%{version}.tar.gz
Source1: ima-evm-utils-1.4.tar.gz

BuildRequires: autoconf automake gcc make libtool asciidoc attr openssl vim-common
BuildRequires: keyutils-libs-devel libxslt openssl-devel tpm2-tss-devel

%description
This package provides the control utility evmctl for IMA/EVM (Integrity
Measurement Architecture/ Linux Extended Verification Module). The evmctl
utility can be used for producing and verifying digital signatures, It can
be also used to import keys into the kernel keyring.

%package devel
Summary: Development files for %{name}
Requires: %{name} = %{version}-%{release}

%description devel
This package provides the header files for %{name}

%prep
%autosetup -p1

mkdir compat/
tar -zxf %{SOURCE1} --strip-component=1 -C compat/

%build
autoreconf -vif
%configure --disable-static
%make_build

pushd compat/
autoreconf -vif
%configure --disable-static
%make_build
popd

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete

pushd compat/src/.libs/
install -p libimaevm.so.%{compat_soversion}.0.0 %{buildroot}%{_libdir}/libimaevm.so.%{compat_soversion}.0.0
ln -s -f %{buildroot}%{_libdir}/libimaevm.so.%{compat_soversion}.0.0 %{buildroot}%{_libdir}/libimaevm.so.%{compat_soversion}
popd

%check
%if %{with check}
make check
%endif

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%license COPYING
%doc NEWS README AUTHORS
%{_bindir}/evmctl
%{_libdir}/libimaevm.so.*
%{_mandir}/man1/evmctl*

%files devel
%{_pkgdocdir}/*.sh
%{_includedir}/imaevm.h
%{_libdir}/libimaevm.so

%changelog
* Thu Jan 25 2024 Anakin Zhang <anakinzhang@tencent.com> - 1.5-1
- Upgrade to version 1.5

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4-7
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Aug 18 2023 cunshunxia <cunshunxia@tencent.com> - 1.4-6
- Rebuilt for tpm2-tss 4.0.1

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4-5
- Rebuilt for OpenCloudOS Stream 23.05

* Mon Apr 03 2023 rockerzhu <rockerzhu@tencent.com> - 1.4-4
- Temporarily disable check becasuse openssl 3.0.8 and patches disable some algorithms.

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4-3
- Rebuilt for OpenCloudOS Stream 23

* Mon Jul 25 2022 Anakin Zhang <anakinzhang@tencent.com> - 1.4-2
- Add vim-common to BuildRequires to fix make check issue

* Mon Jun 27 2022 Anakin Zhang <anakinzhang@tencent.com> - 1.4-1
- Initial build
